$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Tyrer-Cuzick Risk Score Inputs"
type: "object"
additionalProperties: false
properties:
  age_at_menarche:
    title: Age At Menarche
    description: Age at first menstrual period. Leave blank if unknown.
    type: integer
    minimum: 0
    maximum: 99
  number_of_live_births:
    title: Number Of Live Births
    description: Leave blank if unknown.
    type: integer
    minimum: 0
    maximum: 50
  age_at_first_birth:
    title: Age At First Birth
    description: Leave blank if unknown.
    type: integer
    minimum: 0
    maximum: 99
  menopausal_status:
    $ref: '../core.json#/definitions/MenopausalStatus'